<?
// require("../clases/Ordentrabajo.class.php");
 require("../clases/Cobros.class.php");
// $objcon = new Ordentrabajo();
 $objp = new Cobros();
 ////////////recojo parametros de mantenedor////////
 $vcod=$_REQUEST['id'];
 $accion=$_REQUEST['txtpara'];	
 ////////////////////////////////////////
 
 ///////////////////codigo para registrar un pago///////////////////
  if($accion=="R")
  {
      $cod =$objp->Correlativo();
	  $fecha = $_REQUEST['fregistro'];
	  $concep = $_REQUEST["CONCEPTO"];
	  $monto = $_REQUEST['MONTO'];
     //echo $cod." ".$fecha." ".$conc				  
		if($objp->Crear($cod,$fecha,$concep,$monto))
		  {	
			   echo "<script languaje=javascript>\n"; 
			   echo "location.href ='../frmrecibocobro.php?id=$cod';";			
			   echo "</script>"; 								
		  }else{echo "no se pudo guardar";}
	  
  }
  //////////////////////////////////////////////////////
  if($accion =="E"){
      $vcod =$_REQUEST['cod'];
	  $fecha = $_REQUEST['fecha'];
	  $concep = $_REQUEST["concepto"];
	  $monto = $_REQUEST['monto'];
	  
	  if($objp->Eliminar($vcod,$fecha,$concep,$monto)){	    
	     echo "<script languaje=javascript>\n"; 
	 	 echo "location.href ='../frmrecibocobro.php?id=$vcod';";			
	 	 echo "</script>";
	  }else{
	  			echo "No se puede eliminar";
	       }
  }

?>
